body {
    overflow: hidden;
}

.pn-rack-portal {
    height:100%;
    background-color: #1e1e1e;
    width: 100% !important;
    max-width: unset !important;
}

.pn-rack-portal div::-webkit-scrollbar {
    background-color: rgba(0,0,0,0.1); /* or add it to the track */
    border: 1px solid #252526;
}

.pn-rack-portal div::-webkit-scrollbar-thumb {
    background: #000;
}

.pn-rack-panels-wrapper {
    /*height: 65%;*/
}

.pn-rack-terminal-log
{
    /*
    height: 25%;
    position: relative;
    border-top: 4px solid #252526;
    overflow-y: scroll;
    overflow-x: hide;
    */
    display: none;
}

.pn-rack-nav-bar{
	height: 8vh;
	padding-top: 2vh;
	background-color: #323233;
	width: 100vw;
	margin-right: 0 !important;
    margin-left: 0 !important;
    text-align: left;
    overflow-y: hidden;
    position: relative;
}

.pn-rack-hero {
    position: absolute;
    bottom: 0;
    height: 100%;
}

.pn-rack-nav-bar .pn-rack-logo {
    filter: invert(1);
    opacity: 0.8;
    background-image: url('../icons/logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    height: 80%;
    width: 100%;
}

.pn-rack-nav-bar .pn-rack-logo:hover {
   opacity: 1;
}

.pn-rack-nav-tab-content {
    background-color: rgba(0,0,0,0);
    color: #bbb;
    font-family: Segoe WPC,Segoe UI,sans-serif;
    outline: none;
    border: none;
    width: 100%;
    min-height: 4vh;
}

.pn-rack-nav-tab-content:focus {
    background-color: rgba(255,255,255,0.05);;
}

.pn-rack-nav-tab {
    color: #bbb;
    font-family: Segoe WPC,Segoe UI,sans-serif;
    background-color: #1e1e1e;
    padding-top: 1vh;
    padding-bottom: 1vh;
    position: absolute;
    bottom: 0;
    border-bottom: 1px solid #1e1e1e;
}

.pn-rack-nav-helps {
    margin-left: 1vw;
    min-height: 4vh;
}

.pn-rack-pointer {
    cursor: pointer;
}

.pn-rack-staus-bar
{
    background-color: #007ccc;
    color: #fff;;
    font-family: Segoe WPC,Segoe UI,sans-serif;
    font-size: 1rem;
    position: fixed;
    bottom: 0;
    width: 100vw;
    border-bottom: 1px solid #007ccc;
    text-align: left;
}

.pn-rack-nodisplay
{
    /*display: none !important;*/
}

.pn-rack-mid-pane
{
    /*
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    height: 100%;
    display: inline-block;
    float: right;
    */

    float: right;
    width: 80%;
}

.pn-rack-left-pane {
    /*
    background-color:#252526;
    border-right: 2px solid #252526;
    display: inline-block;
    */
    /*display: none;*/
    width: 20%;
    float: left;
    color:#bbb;
    overflow-y: scroll;
    height: 100%;
}

.pn-rack-injected-pane {
    display: block;
}

.pn-rack-panel-element input[type=text], .pn-rack-panel-element input[type=number] {
	background-color: #323233;
    color:#bbb;
	border: none;
	padding-left: 1rem;
	padding-right: 1rem;
}

.pn-rack-panel-element input[type=button] {
    background-color: #323233;
    color:#bbb;
    cursor: pointer;
    width: auto;
    float: left;
    clear: both;
}

.pn-rack-function-argument {
    margin-top: 0;
    margin-bottom: 0;
    position: relative;
    display: block;
    clear: both;
    text-align: right;
    padding-top: 0.3rem;
}

.pn-rack-function-argument input {
    width: 50% !important;
    display: inline-block;
    float:left;
}

.pn-rack-function-argument-name {
    color:#bbb;
    width: 20%;
    float:left;
    padding-right: 0.5rem;
}

.pn-rack-panel-element select {
    background-color: #323233;
    color:#bbb;
    cursor: pointer;
    width: auto;
    float: left;
}

.pn-rack-panel-element input[type=text]:disabled, .pn-rack-panel-element input[type=number]:disabled {
	background-color: rgba(0,0,0,0);
    padding-left: 0;
}

.pn-rack-panel-element select:disabled {
    cursor: default;
}

.pn-rack-panel-element
{
    display: flex;
    flex-direction: row;
    align-items: center;
    min-height: 3rem;
    border-bottom: 1px solid #252526;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
}

.pn-rack-panel-element .pn-rack-attr-type {
    color: rgba(255,255,255,0.45);
    padding-right: 0.5rem;
}

.pn-rack-panel-element .pn-rack-attr-unit {
    color: rgba(255,255,255,0.45);
}

.pn-rack-panel-element .pn-rack-attr-info {
    text-align: right; 
}

.pn-rack-panel-element .pn-rack-attr-name {
    color: rgba(255,255,255,0.85);
}

.pn-rack-panel-element input {
    width: 100%;
}

.pn-rack-panel-separator
{
    display: block;
    height:1em;
    margin-bottom: 1em;
    border-bottom:1px solid #ccc;
}

.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="1"]{
    padding-left: 1.5rem;
}
.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="2"]{
    padding-left: 2.5rem;
}
.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="3"]{
    padding-left: 3.5rem;
}
.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="4"]{
    padding-left: 4.5rem;
}
.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="5"]{
    padding-left: 5.5rem;
}
.pn-rack-object-menu .pn-rack-object-key[data-attrdepth="6"]{
    padding-left: 6.rem;
}

.pn-rack-hide {
    display: none !important;
}

.pn-rack-object-menu, .pn-rack-objects {
    padding-left: 0 !important;
    width: 100%;
    display: block;
}

.pn-rack-panel-object {
    background-color: darkgreen;
    /*max-height: 25vh;*/
    overflow-y: scroll;
}

div.pn-rack-watchlist > div:nth-of-type(even) {
    background: rgba(0,0,0,0.02);
}

div.pn-rack-panel-object > div:nth-of-type(even) {
    background: rgba(0,0,0,0.02);
}

.pn-rack-watchlist .watch-row {
    padding: 0.5rem 1rem;
    width: 100%;
}

.pn-rack-watchlist .watch-info {
    font-size: 75%;
}

.pn-rack-object-key {
    cursor:pointer;
    min-height: 2rem;
    align-items: center;
    display: flex;
    border-radius: 0.2rem;
    margin:0.5rem;
    padding-left: 0.5rem;
}

.pn-rack-object-key:hover {
    background: rgba(0,0,0,0.05);
}

.pn-rack-object-key.selected {
    font-weight: bold;
    background: rgba(0,0,0,0.05);
}


@media (max-width: 999px) {

    .pn-rack-nav-bar{
        /*height: 9vmin;*/
        padding-left: 0;
        padding-top: 2vh;
    }

    .row .hero {
        padding-left: 2vw;
    }

    .pn-rack-nav-helps {
        padding-left: 0;
    }

    .pn-rack-nav-tab {
        padding-left: 10px !important;
        padding-right: 10px !important;
        padding-top: 5px !important;
    }
}


/* Rack Elements */

.pn-rack-panels-wrapper {
    padding-top: 2vh;
}

.pn-rack-element {

    border: 4px solid black;
    background-color: #323233;
    color: #bbb;
    margin-bottom: 1rem;
}

.pn-rack-content {
    /*
    padding-top: 1vh;
    padding-bottom: 1vh;
    */
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
}

.pn-rack-powernet-server {
    /*height: 20vh;*/
    height: 25vh;
    position: relative;
}

.pn-rack-port-column {
    /*
    margin-left: 3%;
    margin-right: 3%;
    width: 35%;
    */

    margin-left: 0.5rem;
    margin-right: 0.5rem;

    display: inline-block;
}

.pn-rack-column-separator {
    width: 5%;
    height: 100%;
    display: inline-block;
}

.pn-rack-column-row {
    width: 100%;
    margin-top: 0.8rem;
    text-align: center;
}

.pn-rack-column-row-data {
    background-color: #252526;
    color:#bbb;
    display: inline-block;

    width: 10vw;

    max-width: 9vh;
}

.pn-rack-column-row-value {

    width: 50%;
    overflow: hidden;
    text-overflow: clip;
    display: inline-block;
    text-align: right;

    line-height: 1;
}

.pn-rack-column-row-unit {

    width: 20%;
    overflow: hidden;
    text-overflow: clip;
    display: inline-block;
    text-align: left;
    color: #555;

    line-height: 1;
}

.pn-rack-dcio-ports, .pn-rack-solar-ports {
    
    /*
    width: 30%;
    border-left: 1px solid black;
    border-right: 1px solid black;
    */

    display: inline-block;
}

.pn-rack-dcio-port {
    border: 2px solid #000;
    display: inline-block;
}

.pn-rack-eth-port-border {
    background-color: #999;

    width: 10vw;
    height: 8vw;

    max-width: 9vh;
    max-height: 7vh;

    border: 3px solid #555;
    text-align: center;
    position: relative;
}

.pn-rack-eth-port-hole {
    background-color: #1e1e1e;
    width: 85%;
    height: 65%;
    position: absolute;
    bottom: 7.5%;
    left: 50%;
    transform: translateX(-50%);
}

.pn-rack-eth-port-pins {
    width: 100%;
    height: 30%;
    position: absolute;
    bottom: 5%;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    line-height: 0;
}

.pn-rack-eth-port-pin {

    background-color: gold;
    height: 100%;
    width: 1%;
    padding-left: 1%;
    padding-right: 1%;
    display: inline-block;
}

.pn-rack-eth-port-latch {

    background-color: #1e1e1e;
    width: 40%;
    height: 20%;
    position: absolute;
    top: -20%;
    left: 50%;
    transform: translateX(-50%);
}


.pn-rack-eth-port-led-left {

    background-color: darkorange;
    width: 27%;
    height: 20%;
    position: absolute;
    top: 3%;
    left: 3%;
    border: 2px solid #1e1e1e;
}

.pn-rack-eth-port-led-right {

    background-color: darkgreen;
    width: 27%;
    height: 20%;
    position: absolute;
    top: 3%;
    right: 3%;
    border: 2px solid #1e1e1e;
}